<?php

//3.5.1.1 AKORD ILO&CI INSTALACJI W TERMINIE/NIE_W_TERMINIE (TECH)
	//SZUKAMY INSTALACJI- LICZYMY DATĘ POJAWIENIA SIĘ REKORDU W SE
	$SQL="
		select t1.A_RECORD_CREATE_DATE
				, COALESCE(unix_timestamp(t1.T_WHEN_CONNECTED),0) as T_WHEN_TS
				, ( COALESCE(unix_timestamp(t1.T_WHEN_CONNECTED),0) - COALESCE(unix_timestamp( left(min(t2.A_RECORD_UPDATE_DATE), 10) ),0) )/24/3600 as DIFF
				, COALESCE(unix_timestamp(left(min(t2.A_RECORD_UPDATE_DATE),10)),0) as MIN_U_DATE
		from USERS2 as t1
			left join USERS2_HIST as t2 on t1.ID=t2.ID_USERS2
		where t1.T_WHEN_CONNECTED like '".$DATA."'
		group by t1.ID
	";
	echo $SQL."\n ";
	$res=mysql_query($SQL);
	$i=0;

	 while ($h=mysql_fetch_array($res)) {
	 if($h['MIN_U_DATE']) {
		$BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE'][$i]=$h['DIFF'];
		$BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WYLICZ_TSMIN'][$i]=getdate($h['MIN_U_DATE']);
		$BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WYLICZ_TSMAX'][$i]=getdate($h['T_WHEN_TS']);
		 $c=0;
		 $dow=$BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WYLICZ_TSMIN'][$i]['wday'];
		//wyliczam czas bez weekendow - czyli jezeli sobota lub niedziela, to nie licze czasu
		for($b=1;$b<=$h['DIFF'];$b++) {
		  if($dow==6) $dow++;
		  else if($dow==7) $dow=1;
		  else {$c++; $dow++;}
		}//eof for
		$BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WD'][$i]=$c; //czas instalacji bez weekendow wynosi $c;

		if($c<=3)$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_OK']++;
	 }
	  unset($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WYLICZ_TSMIN'][$i]);
	  unset($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WYLICZ_TSMAX'][$i]);
	 $i++;

	} //while

	//kasujemy niepotrzebnego arraya
	  unset($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WYLICZ_TSMIN']);
	  unset($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WYLICZ_TSMAX']);


	 asort($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE']);
	 asort($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WD']);
	 //obcinamy 10% najdłuższych instalacji
	 $BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE2']=array_slice($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE'],0,count($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE'])*0.9 );
//	 destroy($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE']);
//	 $BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE']=array(1=>2,3=>3);
//	 unset($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE']);

	$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_CNT']=count($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE2']);
	unset($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE2']);
	//Sprawdzamy ile zgodnie z terminem instalacji (1 dzień)
	//Srednie
	foreach($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE_WD'] as $IW=>$IWA) {
	echo $IWA;
	$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_AVG_DAYS']+=$IWA;
	}
	$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_AVG_DAYS']=$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_AVG_DAYS']/$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_CNT'];
	$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_PRERCENT_OK']=round($BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_OK']/$BUDZET['AKORD']['TECH-SERWIS']['STAT']['INSTALACJE_CNT'],2);

//	 count($tablica);
//	print_r($h);
